> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Public Settings

> Retrive the public fulfillment settings.



## OpenAPI

````yaml /openapi/openapi_fulfillment.json get /commerce/fulfillment/settings
openapi: 3.0.3
info:
  description: |-
    <div id="overview_FULFILLMENT">
                <h2>FULFILLMENT</h2>
                <p>The Fulfillment APIs support order management and fulfillment workflows based on the Shipment API and its
                    packages, including supporting needs such as pick waves and manifests. Once an order has been placed, it
                    generally
                    cannot be edited at the order-level. Instead, changes to the items, pricing, and other information must
                    be done at the
                    shipment level with the Shipment API. See the <a href="/concept-guides/fulfillment">Fulfillment user guides</a> for more information about fulfillment in UCP.</p>
                <p>When using the Shipment API to transition a shipment through each stage of its fulfillment process, it
                    can be
                    difficult to remember how to format the next step's endpoint and the expected parameters on-the-fly.
                    Additionally,
                    if a call such as cancellation, adding tracking information, or marking the shipment as fulfilled needs
                    to be performed
                    outside of the usual fulfillment flow, it may be confusing to determine how to perform the action
                    without referring to the
                    documentation. To assist with this, the Shipment API provides guidelines within the response body. This
                    response
                    includes two objects, workflowState and _links, that detail the shipment's next step in the workflow as
                    well as all
                    possible actions currently available to the shipment. Use 
                    <a href="/pages/fulfillment-api-overview">this walkthrough</a> to better 
                    understand how to work with this response data.</p>
                    <p>Use the <strong>Customer Survey</strong> resource to create surveys and gather data from your customers.</p>
                    <p>Use the <strong>Manifests</strong> resource to create shipping manifests for fulfillment partners such as Canada Post that require manifests for groups of shipments.</p>
                    <p>Use the <strong>Pick Wave</strong> resource to generate and process pick waves for picking groups of items at a fulfillment locations.</p>
                    <p>Use the <strong>Shipment</strong>, <strong>Shipment Attributes</strong>, <strong>Shipment Data</strong>, and <strong>Shipment Notification</strong> resources to manage the actual shipments being fulfilled and perform actions on them.</p>
                    <p>Use the <strong>Shipment Packages</strong> resource to create, update, and delete the individual packages within a shipment.</p>
                    <p>Use the <strong>Storefront</strong> resource to retrieve shipment information for the storefront.</p>
                    <p>Use the <strong>Workflow Process</strong> resource to retrieve BPM configurations and the fulfillment steps based on shipment type.</p>
            </div>
  title: Fulfillment  - Production Profile
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
tags:
  - name: CustomerSurvey
  - name: Fulfillment
  - name: FutureShipment
  - name: GiftReceipt
  - name: Manifest
  - name: PickWave
  - name: Rendition
  - name: ShipmentAttributes
  - name: ShipmentContact
  - name: Shipment
  - name: ShipmentData
  - name: ShipmentNotes
  - name: ShipmentPackages
  - name: ShipmentResendEmail
  - name: ShippingNotification
  - name: Storefront
  - name: Substitutions
  - name: WorkflowProcess
paths:
  /commerce/fulfillment/settings:
    get:
      tags:
        - Fulfillment
      summary: Get Public Settings
      description: Retrive the public fulfillment settings.
      responses:
        '200':
          content:
            application/hal+json:
              schema:
                additionalProperties:
                  type: object
                type: object
            application/json:
              schema:
                additionalProperties:
                  type: object
                type: object
            application/xml:
              schema:
                additionalProperties:
                  type: object
                type: object
          description: OK
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````